<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"><html xmlns="http://www.w3.org/1999/xhtml"><head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<a class="dashingAutolink" name="autolink-287"></a><a class="dashAnchor" name="//apple_ref/cpp/Package/XHXKit%3A%20%2FUsers%2Fscar1900%2FDeveloper%2FXHXKit%2FXHXKit%2FClasses%2FDeviceManager%2FXHXDeviceManager.m%20%E6%BA%90%E6%96%87%E4%BB%B6"></a><title>XHXKit: /Users/scar1900/Developer/XHXKit/XHXKit/Classes/DeviceManager/XHXDeviceManager.m 源文件</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">XHXKit
   &nbsp;<span id="projectnumber">4.10.0.12</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- 制作者 Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'搜索');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','搜索');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow" onmouseover="return searchBox.OnSearchSelectShow()" onmouseout="return searchBox.OnSearchSelectHide()" onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_d522931ffa1371640980b621734a4381.html">Users</a></li><li class="navelem"><a class="el" href="dir_2f48480e0fdb0436fb8fd57a1ed5f613.html">scar1900</a></li><li class="navelem"><a class="el" href="dir_c8b33409012acfc781ba898892fd3b4c.html">Developer</a></li><li class="navelem"><a class="el" href="dir_0e1030ab80149b7e8d6dfd17946e9c40.html">XHXKit</a></li><li class="navelem"><a class="el" href="dir_c9ece41fcb3917ec137dcec44cd0055f.html">XHXKit</a></li><li class="navelem"><a class="el" href="dir_3a9521ad7c4429598be7e28fa39d3d14.html">Classes</a></li><li class="navelem"><a class="el" href="dir_462446f3f8353c22f039f019986a670a.html">DeviceManager</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">XHXDeviceManager.m</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_x_h_x_device_manager_8m.html">浏览该文件的文档.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno"><a class="line" href="interface_x_h_x_device_manager.html#a1ba09c395cce72715a1744b89e979a71">    1</a></span>&nbsp;<span class="comment">//</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&nbsp;<span class="comment">//  XHXDeviceManager.m</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&nbsp;<span class="comment">//  CKKit</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&nbsp;<span class="comment">//</span></div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&nbsp;<span class="comment">//  Created by Leovir on 2018/4/4.</span></div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&nbsp;<span class="comment">//</span></div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&nbsp; </div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&nbsp;<span class="preprocessor">#import &#34;<a class="code" href="_x_h_x_device_manager_8h.html">XHXDeviceManager.h</a>&#34;</span></div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&nbsp;<span class="preprocessor">#import &lt;ifaddrs.h&gt;</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&nbsp;<span class="preprocessor">#import &lt;arpa/inet.h&gt;</span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&nbsp;<span class="preprocessor">#import &lt;sys/utsname.h&gt;</span></div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&nbsp;<span class="preprocessor">#import &lt;CoreTelephony/CTTelephonyNetworkInfo.h&gt;</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&nbsp;<span class="preprocessor">#import &lt;CoreTelephony/CTCarrier.h&gt;</span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&nbsp;<span class="preprocessor">#import &lt;KKLThirdParty/SAMKeychain.h&gt;</span></div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&nbsp;<span class="preprocessor">#import &lt;CKKit/CKKit.h&gt;</span></div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&nbsp; </div>
<div class="line"><a name="l00017"></a><span class="lineno"><a class="line" href="_x_h_x_device_manager_8m.html#a1d3aa2437ceb6e4840f7d45d7654b086">   17</a></span>&nbsp;<span class="preprocessor">#define kServiceKey @&#34;KKLOnLine&#34;</span></div>
<div class="line"><a name="l00018"></a><span class="lineno"><a class="line" href="_x_h_x_device_manager_8m.html#ae696545da7cf3e06d35f11ba6ad5ebd0">   18</a></span>&nbsp;<span class="preprocessor">#define kUUIDKey @&#34;uuid&#34;</span></div>
<div class="line"><a name="l00019"></a><span class="lineno"><a class="line" href="_x_h_x_device_manager_8m.html#ad1a157d38b212c04911c55d09db5b0dc">   19</a></span>&nbsp;<span class="preprocessor">#define gAPPVERSION  [[[NSBundle mainBundle] infoDictionary] objectForKey:@&#34;CFBundleShortVersionString&#34;]</span></div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&nbsp;<span class="keyword">@implementation </span><a class="code" href="interface_x_h_x_device_manager.html">XHXDeviceManager</a></div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&nbsp; </div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&nbsp;+ (NSString *)<a class="code" href="interface_x_h_x_device_manager.html#a6c80a82e571c1dc6730b6bd61747d337">documentDirectory</a></div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&nbsp;{</div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&nbsp;    NSArray *paths = NSSearchPathForDirectoriesInDomains(NSDocumentDirectory, NSUserDomainMask, YES);</div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&nbsp;    NSString *documentsDirectory = [paths firstObject];</div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&nbsp;    <span class="keywordflow">return</span> documentsDirectory;</div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&nbsp;}</div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&nbsp; </div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&nbsp;+ (void)openAppStore:(NSString *)appstoreID {</div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&nbsp;    NSCAssert(appstoreID != nil, <span class="stringliteral">@&#34;appID not null&#34;</span>);</div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&nbsp;    <span class="comment">//</span></div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&nbsp;    </div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&nbsp;<span class="preprocessor">#if ONAPPSTORE</span></div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&nbsp;    NSString *reviewURL =   [NSString stringWithFormat:@&#34;https://itunes.apple.com/cn/app/id%@?mt=8&#34;,appstoreID];</div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&nbsp;    <span class="keywordflow">if</span> ([[UIApplication sharedApplication] canOpenURL:[NSURL URLWithString:reviewURL]]) {</div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&nbsp;        [[UIApplication sharedApplication] openURL:[NSURL URLWithString:reviewURL]];</div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&nbsp;    }</div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&nbsp;<span class="preprocessor">#else</span></div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&nbsp;    NSString *reviewURL =   <span class="stringliteral">@&#34;http://static.kaike.la/h5/html/download.html&#34;</span>;</div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&nbsp;    <span class="keywordflow">if</span> ([[UIApplication sharedApplication] canOpenURL:[NSURL URLWithString:reviewURL]]) {</div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&nbsp;        [[UIApplication sharedApplication] openURL:[NSURL URLWithString:reviewURL]];</div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&nbsp;    }</div>
<div class="line"><a name="l00043"></a><span class="lineno">   43</span>&nbsp;<span class="preprocessor">#endif</span></div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&nbsp;}</div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&nbsp;+ (NSString *)<a class="code" href="interface_x_h_x_device_manager.html#a2e073959d4af599e4f30d9328c10f88f">getIOSVersion</a></div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&nbsp;{</div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&nbsp;    </div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&nbsp;    <span class="keywordflow">return</span> [[UIDevice currentDevice] systemVersion];</div>
<div class="line"><a name="l00049"></a><span class="lineno">   49</span>&nbsp;}</div>
<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&nbsp;+ (NSString *)<a class="code" href="interface_x_h_x_device_manager.html#a085a7739cdce0d342f7ee650c0152820">getIPAddress</a></div>
<div class="line"><a name="l00051"></a><span class="lineno">   51</span>&nbsp;{</div>
<div class="line"><a name="l00052"></a><span class="lineno">   52</span>&nbsp;    NSString *address = <span class="stringliteral">@&#34;error&#34;</span>;</div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&nbsp;    <span class="keyword">struct </span>ifaddrs *interfaces = NULL;</div>
<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&nbsp;    <span class="keyword">struct </span>ifaddrs *temp_addr = NULL;</div>
<div class="line"><a name="l00055"></a><span class="lineno">   55</span>&nbsp;    <span class="keywordtype">int</span> success = 0;</div>
<div class="line"><a name="l00056"></a><span class="lineno">   56</span>&nbsp;    <span class="comment">// retrieve the current interfaces - returns 0 on success</span></div>
<div class="line"><a name="l00057"></a><span class="lineno">   57</span>&nbsp;    success = getifaddrs(&amp;interfaces);</div>
<div class="line"><a name="l00058"></a><span class="lineno">   58</span>&nbsp;    <span class="keywordflow">if</span> (success == 0) {</div>
<div class="line"><a name="l00059"></a><span class="lineno">   59</span>&nbsp;        <span class="comment">// Loop through linked list of interfaces</span></div>
<div class="line"><a name="l00060"></a><span class="lineno">   60</span>&nbsp;        temp_addr = interfaces;</div>
<div class="line"><a name="l00061"></a><span class="lineno">   61</span>&nbsp;        <span class="keywordflow">while</span> (temp_addr != NULL) {</div>
<div class="line"><a name="l00062"></a><span class="lineno">   62</span>&nbsp;            <span class="keywordflow">if</span>( temp_addr-&gt;ifa_addr-&gt;sa_family == AF_INET) {</div>
<div class="line"><a name="l00063"></a><span class="lineno">   63</span>&nbsp;                <span class="comment">// Check if interface is en0 which is the wifi connection on the iPhone</span></div>
<div class="line"><a name="l00064"></a><span class="lineno">   64</span>&nbsp;                <span class="keywordflow">if</span> ([[NSString stringWithUTF8String:temp_addr-&gt;ifa_name] isEqualToString:<span class="stringliteral">@&#34;en0&#34;</span>]) {</div>
<div class="line"><a name="l00065"></a><span class="lineno">   65</span>&nbsp;                    <span class="comment">// Get NSString from C String</span></div>
<div class="line"><a name="l00066"></a><span class="lineno">   66</span>&nbsp;                    address = [NSString stringWithUTF8String:inet_ntoa(((struct sockaddr_in *)temp_addr-&gt;ifa_addr)-&gt;sin_addr)];</div>
<div class="line"><a name="l00067"></a><span class="lineno">   67</span>&nbsp;                }</div>
<div class="line"><a name="l00068"></a><span class="lineno">   68</span>&nbsp;            }</div>
<div class="line"><a name="l00069"></a><span class="lineno">   69</span>&nbsp;            temp_addr = temp_addr-&gt;ifa_next;</div>
<div class="line"><a name="l00070"></a><span class="lineno">   70</span>&nbsp;        }</div>
<div class="line"><a name="l00071"></a><span class="lineno">   71</span>&nbsp;    }</div>
<div class="line"><a name="l00072"></a><span class="lineno">   72</span>&nbsp;    <span class="comment">// Free memory</span></div>
<div class="line"><a name="l00073"></a><span class="lineno">   73</span>&nbsp;    freeifaddrs(interfaces);</div>
<div class="line"><a name="l00074"></a><span class="lineno">   74</span>&nbsp;    </div>
<div class="line"><a name="l00075"></a><span class="lineno">   75</span>&nbsp;    <span class="keywordflow">return</span> address;</div>
<div class="line"><a name="l00076"></a><span class="lineno">   76</span>&nbsp;}</div>
<div class="line"><a name="l00077"></a><span class="lineno">   77</span>&nbsp;+ (NSString *)getUserAgent {</div>
<div class="line"><a name="l00078"></a><span class="lineno">   78</span>&nbsp;    NSString *userAgent = [NSString stringWithFormat:@&#34;%@/%@ (%@; iOS %@; Scale/%0.2f; appVersion %@)&#34;, [[NSBundle mainBundle] infoDictionary][(__bridge NSString *)kCFBundleExecutableKey] ?: [[NSBundle mainBundle] infoDictionary][(__bridge NSString *)kCFBundleIdentifierKey], [[NSBundle mainBundle] infoDictionary][@&#34;CFBundleShortVersionString&#34;] ?: [[NSBundle mainBundle] infoDictionary][(__bridge NSString *)kCFBundleVersionKey], [[UIDevice currentDevice] model], [[UIDevice currentDevice] systemVersion], [[UIScreen mainScreen] scale],gAPPVERSION];</div>
<div class="line"><a name="l00079"></a><span class="lineno">   79</span>&nbsp;    <span class="keywordflow">return</span> userAgent;</div>
<div class="line"><a name="l00080"></a><span class="lineno">   80</span>&nbsp;}</div>
<div class="line"><a name="l00081"></a><span class="lineno">   81</span>&nbsp;+ (NSString *)getVersion {</div>
<div class="line"><a name="l00082"></a><span class="lineno">   82</span>&nbsp;    <span class="keywordflow">return</span> [[[NSBundle mainBundle] infoDictionary] objectForKey:@&#34;CFBundleShortVersionString&#34;];</div>
<div class="line"><a name="l00083"></a><span class="lineno">   83</span>&nbsp;}</div>
<div class="line"><a name="l00084"></a><span class="lineno">   84</span>&nbsp;+ (NSString*)getDeviceModelName {</div>
<div class="line"><a name="l00085"></a><span class="lineno">   85</span>&nbsp;    <span class="keyword">struct </span>utsname systemInfo;</div>
<div class="line"><a name="l00086"></a><span class="lineno">   86</span>&nbsp;    uname(&amp;systemInfo);</div>
<div class="line"><a name="l00087"></a><span class="lineno">   87</span>&nbsp;    NSString *deviceModel = [NSString stringWithCString:systemInfo.machine encoding:NSUTF8StringEncoding];</div>
<div class="line"><a name="l00088"></a><span class="lineno">   88</span>&nbsp;    </div>
<div class="line"><a name="l00089"></a><span class="lineno">   89</span>&nbsp;    <span class="comment">//iPhone 系列</span></div>
<div class="line"><a name="l00090"></a><span class="lineno">   90</span>&nbsp;    <span class="keywordflow">if</span> ([deviceModel isEqualToString:<span class="stringliteral">@&#34;iPhone1,1&#34;</span>])    <span class="keywordflow">return</span> <span class="stringliteral">@&#34;iPhone 1G&#34;</span>;</div>
<div class="line"><a name="l00091"></a><span class="lineno">   91</span>&nbsp;    <span class="keywordflow">if</span> ([deviceModel isEqualToString:<span class="stringliteral">@&#34;iPhone1,2&#34;</span>])    <span class="keywordflow">return</span> <span class="stringliteral">@&#34;iPhone 3G&#34;</span>;</div>
<div class="line"><a name="l00092"></a><span class="lineno">   92</span>&nbsp;    <span class="keywordflow">if</span> ([deviceModel isEqualToString:<span class="stringliteral">@&#34;iPhone2,1&#34;</span>])    <span class="keywordflow">return</span> <span class="stringliteral">@&#34;iPhone 3GS&#34;</span>;</div>
<div class="line"><a name="l00093"></a><span class="lineno">   93</span>&nbsp;    <span class="keywordflow">if</span> ([deviceModel isEqualToString:<span class="stringliteral">@&#34;iPhone3,1&#34;</span>])    <span class="keywordflow">return</span> <span class="stringliteral">@&#34;iPhone 4&#34;</span>;</div>
<div class="line"><a name="l00094"></a><span class="lineno">   94</span>&nbsp;    <span class="keywordflow">if</span> ([deviceModel isEqualToString:<span class="stringliteral">@&#34;iPhone3,2&#34;</span>])    <span class="keywordflow">return</span> <span class="stringliteral">@&#34;Verizon iPhone 4&#34;</span>;</div>
<div class="line"><a name="l00095"></a><span class="lineno">   95</span>&nbsp;    <span class="keywordflow">if</span> ([deviceModel isEqualToString:<span class="stringliteral">@&#34;iPhone4,1&#34;</span>])    <span class="keywordflow">return</span> <span class="stringliteral">@&#34;iPhone 4S&#34;</span>;</div>
<div class="line"><a name="l00096"></a><span class="lineno">   96</span>&nbsp;    <span class="keywordflow">if</span> ([deviceModel isEqualToString:<span class="stringliteral">@&#34;iPhone5,1&#34;</span>])    <span class="keywordflow">return</span> <span class="stringliteral">@&#34;iPhone 5&#34;</span>;</div>
<div class="line"><a name="l00097"></a><span class="lineno">   97</span>&nbsp;    <span class="keywordflow">if</span> ([deviceModel isEqualToString:<span class="stringliteral">@&#34;iPhone5,2&#34;</span>])    <span class="keywordflow">return</span> <span class="stringliteral">@&#34;iPhone 5&#34;</span>;</div>
<div class="line"><a name="l00098"></a><span class="lineno">   98</span>&nbsp;    <span class="keywordflow">if</span> ([deviceModel isEqualToString:<span class="stringliteral">@&#34;iPhone5,3&#34;</span>])    <span class="keywordflow">return</span> <span class="stringliteral">@&#34;iPhone 5C&#34;</span>;</div>
<div class="line"><a name="l00099"></a><span class="lineno">   99</span>&nbsp;    <span class="keywordflow">if</span> ([deviceModel isEqualToString:<span class="stringliteral">@&#34;iPhone5,4&#34;</span>])    <span class="keywordflow">return</span> <span class="stringliteral">@&#34;iPhone 5C&#34;</span>;</div>
<div class="line"><a name="l00100"></a><span class="lineno">  100</span>&nbsp;    <span class="keywordflow">if</span> ([deviceModel isEqualToString:<span class="stringliteral">@&#34;iPhone6,1&#34;</span>])    <span class="keywordflow">return</span> <span class="stringliteral">@&#34;iPhone 5S&#34;</span>;</div>
<div class="line"><a name="l00101"></a><span class="lineno">  101</span>&nbsp;    <span class="keywordflow">if</span> ([deviceModel isEqualToString:<span class="stringliteral">@&#34;iPhone6,2&#34;</span>])    <span class="keywordflow">return</span> <span class="stringliteral">@&#34;iPhone 5S&#34;</span>;</div>
<div class="line"><a name="l00102"></a><span class="lineno">  102</span>&nbsp;    <span class="keywordflow">if</span> ([deviceModel isEqualToString:<span class="stringliteral">@&#34;iPhone7,1&#34;</span>])    <span class="keywordflow">return</span> <span class="stringliteral">@&#34;iPhone 6 Plus&#34;</span>;</div>
<div class="line"><a name="l00103"></a><span class="lineno">  103</span>&nbsp;    <span class="keywordflow">if</span> ([deviceModel isEqualToString:<span class="stringliteral">@&#34;iPhone7,2&#34;</span>])    <span class="keywordflow">return</span> <span class="stringliteral">@&#34;iPhone 6&#34;</span>;</div>
<div class="line"><a name="l00104"></a><span class="lineno">  104</span>&nbsp;    <span class="keywordflow">if</span> ([deviceModel isEqualToString:<span class="stringliteral">@&#34;iPhone8,1&#34;</span>])    <span class="keywordflow">return</span> <span class="stringliteral">@&#34;iPhone 6s&#34;</span>;</div>
<div class="line"><a name="l00105"></a><span class="lineno">  105</span>&nbsp;    <span class="keywordflow">if</span> ([deviceModel isEqualToString:<span class="stringliteral">@&#34;iPhone8,2&#34;</span>])    <span class="keywordflow">return</span> <span class="stringliteral">@&#34;iPhone 6s Plus&#34;</span>;</div>
<div class="line"><a name="l00106"></a><span class="lineno">  106</span>&nbsp;    <span class="keywordflow">if</span> ([deviceModel isEqualToString:<span class="stringliteral">@&#34;iPhone8,4&#34;</span>])    <span class="keywordflow">return</span> <span class="stringliteral">@&#34;iPhone SE&#34;</span>;</div>
<div class="line"><a name="l00107"></a><span class="lineno">  107</span>&nbsp;    <span class="keywordflow">if</span> ([deviceModel isEqualToString:<span class="stringliteral">@&#34;iPhone9,1&#34;</span>])    <span class="keywordflow">return</span> <span class="stringliteral">@&#34;iPhone 7&#34;</span>;</div>
<div class="line"><a name="l00108"></a><span class="lineno">  108</span>&nbsp;    <span class="keywordflow">if</span> ([deviceModel isEqualToString:<span class="stringliteral">@&#34;iPhone9,3&#34;</span>])    <span class="keywordflow">return</span> <span class="stringliteral">@&#34;iPhone 7&#34;</span>;</div>
<div class="line"><a name="l00109"></a><span class="lineno">  109</span>&nbsp;    <span class="keywordflow">if</span> ([deviceModel isEqualToString:<span class="stringliteral">@&#34;iPhone9,2&#34;</span>])    <span class="keywordflow">return</span> <span class="stringliteral">@&#34;iPhone 7 Plus&#34;</span>;</div>
<div class="line"><a name="l00110"></a><span class="lineno">  110</span>&nbsp;    <span class="keywordflow">if</span> ([deviceModel isEqualToString:<span class="stringliteral">@&#34;iPhone9,4&#34;</span>])    <span class="keywordflow">return</span> <span class="stringliteral">@&#34;iPhone 7 Plus&#34;</span>;</div>
<div class="line"><a name="l00111"></a><span class="lineno">  111</span>&nbsp;    </div>
<div class="line"><a name="l00112"></a><span class="lineno">  112</span>&nbsp;    <span class="comment">//iPod 系列</span></div>
<div class="line"><a name="l00113"></a><span class="lineno">  113</span>&nbsp;    <span class="keywordflow">if</span> ([deviceModel isEqualToString:<span class="stringliteral">@&#34;iPod1,1&#34;</span>])      <span class="keywordflow">return</span> <span class="stringliteral">@&#34;iPod Touch 1G&#34;</span>;</div>
<div class="line"><a name="l00114"></a><span class="lineno">  114</span>&nbsp;    <span class="keywordflow">if</span> ([deviceModel isEqualToString:<span class="stringliteral">@&#34;iPod2,1&#34;</span>])      <span class="keywordflow">return</span> <span class="stringliteral">@&#34;iPod Touch 2G&#34;</span>;</div>
<div class="line"><a name="l00115"></a><span class="lineno">  115</span>&nbsp;    <span class="keywordflow">if</span> ([deviceModel isEqualToString:<span class="stringliteral">@&#34;iPod3,1&#34;</span>])      <span class="keywordflow">return</span> <span class="stringliteral">@&#34;iPod Touch 3G&#34;</span>;</div>
<div class="line"><a name="l00116"></a><span class="lineno">  116</span>&nbsp;    <span class="keywordflow">if</span> ([deviceModel isEqualToString:<span class="stringliteral">@&#34;iPod4,1&#34;</span>])      <span class="keywordflow">return</span> <span class="stringliteral">@&#34;iPod Touch 4G&#34;</span>;</div>
<div class="line"><a name="l00117"></a><span class="lineno">  117</span>&nbsp;    <span class="keywordflow">if</span> ([deviceModel isEqualToString:<span class="stringliteral">@&#34;iPod5,1&#34;</span>])      <span class="keywordflow">return</span> <span class="stringliteral">@&#34;iPod Touch 5G&#34;</span>;</div>
<div class="line"><a name="l00118"></a><span class="lineno">  118</span>&nbsp;    </div>
<div class="line"><a name="l00119"></a><span class="lineno">  119</span>&nbsp;    <span class="comment">//iPad 系列</span></div>
<div class="line"><a name="l00120"></a><span class="lineno">  120</span>&nbsp;    <span class="keywordflow">if</span> ([deviceModel isEqualToString:<span class="stringliteral">@&#34;iPad1,1&#34;</span>])      <span class="keywordflow">return</span> <span class="stringliteral">@&#34;iPad&#34;</span>;</div>
<div class="line"><a name="l00121"></a><span class="lineno">  121</span>&nbsp;    <span class="keywordflow">if</span> ([deviceModel isEqualToString:<span class="stringliteral">@&#34;iPad2,1&#34;</span>])      <span class="keywordflow">return</span> <span class="stringliteral">@&#34;iPad 2 (WiFi)&#34;</span>;</div>
<div class="line"><a name="l00122"></a><span class="lineno">  122</span>&nbsp;    <span class="keywordflow">if</span> ([deviceModel isEqualToString:<span class="stringliteral">@&#34;iPad2,2&#34;</span>])      <span class="keywordflow">return</span> <span class="stringliteral">@&#34;iPad 2 (GSM)&#34;</span>;</div>
<div class="line"><a name="l00123"></a><span class="lineno">  123</span>&nbsp;    <span class="keywordflow">if</span> ([deviceModel isEqualToString:<span class="stringliteral">@&#34;iPad2,3&#34;</span>])      <span class="keywordflow">return</span> <span class="stringliteral">@&#34;iPad 2 (CDMA)&#34;</span>;</div>
<div class="line"><a name="l00124"></a><span class="lineno">  124</span>&nbsp;    <span class="keywordflow">if</span> ([deviceModel isEqualToString:<span class="stringliteral">@&#34;iPad2,4&#34;</span>])      <span class="keywordflow">return</span> <span class="stringliteral">@&#34;iPad 2 (32nm)&#34;</span>;</div>
<div class="line"><a name="l00125"></a><span class="lineno">  125</span>&nbsp;    <span class="keywordflow">if</span> ([deviceModel isEqualToString:<span class="stringliteral">@&#34;iPad2,5&#34;</span>])      <span class="keywordflow">return</span> <span class="stringliteral">@&#34;iPad mini (WiFi)&#34;</span>;</div>
<div class="line"><a name="l00126"></a><span class="lineno">  126</span>&nbsp;    <span class="keywordflow">if</span> ([deviceModel isEqualToString:<span class="stringliteral">@&#34;iPad2,6&#34;</span>])      <span class="keywordflow">return</span> <span class="stringliteral">@&#34;iPad mini (GSM)&#34;</span>;</div>
<div class="line"><a name="l00127"></a><span class="lineno">  127</span>&nbsp;    <span class="keywordflow">if</span> ([deviceModel isEqualToString:<span class="stringliteral">@&#34;iPad2,7&#34;</span>])      <span class="keywordflow">return</span> <span class="stringliteral">@&#34;iPad mini (CDMA)&#34;</span>;</div>
<div class="line"><a name="l00128"></a><span class="lineno">  128</span>&nbsp;    </div>
<div class="line"><a name="l00129"></a><span class="lineno">  129</span>&nbsp;    <span class="keywordflow">if</span> ([deviceModel isEqualToString:<span class="stringliteral">@&#34;iPad3,1&#34;</span>])      <span class="keywordflow">return</span> <span class="stringliteral">@&#34;iPad 3(WiFi)&#34;</span>;</div>
<div class="line"><a name="l00130"></a><span class="lineno">  130</span>&nbsp;    <span class="keywordflow">if</span> ([deviceModel isEqualToString:<span class="stringliteral">@&#34;iPad3,2&#34;</span>])      <span class="keywordflow">return</span> <span class="stringliteral">@&#34;iPad 3(CDMA)&#34;</span>;</div>
<div class="line"><a name="l00131"></a><span class="lineno">  131</span>&nbsp;    <span class="keywordflow">if</span> ([deviceModel isEqualToString:<span class="stringliteral">@&#34;iPad3,3&#34;</span>])      <span class="keywordflow">return</span> <span class="stringliteral">@&#34;iPad 3(4G)&#34;</span>;</div>
<div class="line"><a name="l00132"></a><span class="lineno">  132</span>&nbsp;    <span class="keywordflow">if</span> ([deviceModel isEqualToString:<span class="stringliteral">@&#34;iPad3,4&#34;</span>])      <span class="keywordflow">return</span> <span class="stringliteral">@&#34;iPad 4 (WiFi)&#34;</span>;</div>
<div class="line"><a name="l00133"></a><span class="lineno">  133</span>&nbsp;    <span class="keywordflow">if</span> ([deviceModel isEqualToString:<span class="stringliteral">@&#34;iPad3,5&#34;</span>])      <span class="keywordflow">return</span> <span class="stringliteral">@&#34;iPad 4 (4G)&#34;</span>;</div>
<div class="line"><a name="l00134"></a><span class="lineno">  134</span>&nbsp;    <span class="keywordflow">if</span> ([deviceModel isEqualToString:<span class="stringliteral">@&#34;iPad3,6&#34;</span>])      <span class="keywordflow">return</span> <span class="stringliteral">@&#34;iPad 4 (CDMA)&#34;</span>;</div>
<div class="line"><a name="l00135"></a><span class="lineno">  135</span>&nbsp;    </div>
<div class="line"><a name="l00136"></a><span class="lineno">  136</span>&nbsp;    <span class="keywordflow">if</span> ([deviceModel isEqualToString:<span class="stringliteral">@&#34;iPad4,1&#34;</span>])      <span class="keywordflow">return</span> <span class="stringliteral">@&#34;iPad Air&#34;</span>;</div>
<div class="line"><a name="l00137"></a><span class="lineno">  137</span>&nbsp;    <span class="keywordflow">if</span> ([deviceModel isEqualToString:<span class="stringliteral">@&#34;iPad4,2&#34;</span>])      <span class="keywordflow">return</span> <span class="stringliteral">@&#34;iPad Air&#34;</span>;</div>
<div class="line"><a name="l00138"></a><span class="lineno">  138</span>&nbsp;    <span class="keywordflow">if</span> ([deviceModel isEqualToString:<span class="stringliteral">@&#34;iPad4,3&#34;</span>])      <span class="keywordflow">return</span> <span class="stringliteral">@&#34;iPad Air&#34;</span>;</div>
<div class="line"><a name="l00139"></a><span class="lineno">  139</span>&nbsp;    <span class="keywordflow">if</span> ([deviceModel isEqualToString:<span class="stringliteral">@&#34;iPad5,3&#34;</span>])      <span class="keywordflow">return</span> <span class="stringliteral">@&#34;iPad Air 2&#34;</span>;</div>
<div class="line"><a name="l00140"></a><span class="lineno">  140</span>&nbsp;    <span class="keywordflow">if</span> ([deviceModel isEqualToString:<span class="stringliteral">@&#34;iPad5,4&#34;</span>])      <span class="keywordflow">return</span> <span class="stringliteral">@&#34;iPad Air 2&#34;</span>;</div>
<div class="line"><a name="l00141"></a><span class="lineno">  141</span>&nbsp;    <span class="keywordflow">if</span> ([deviceModel isEqualToString:<span class="stringliteral">@&#34;i386&#34;</span>])         <span class="keywordflow">return</span> <span class="stringliteral">@&#34;Simulator&#34;</span>;</div>
<div class="line"><a name="l00142"></a><span class="lineno">  142</span>&nbsp;    <span class="keywordflow">if</span> ([deviceModel isEqualToString:<span class="stringliteral">@&#34;x86_64&#34;</span>])       <span class="keywordflow">return</span> <span class="stringliteral">@&#34;Simulator&#34;</span>;</div>
<div class="line"><a name="l00143"></a><span class="lineno">  143</span>&nbsp;    </div>
<div class="line"><a name="l00144"></a><span class="lineno">  144</span>&nbsp;    <span class="keywordflow">if</span> ([deviceModel isEqualToString:<span class="stringliteral">@&#34;iPad4,4&#34;</span>]</div>
<div class="line"><a name="l00145"></a><span class="lineno">  145</span>&nbsp;        ||[deviceModel isEqualToString:<span class="stringliteral">@&#34;iPad4,5&#34;</span>]</div>
<div class="line"><a name="l00146"></a><span class="lineno">  146</span>&nbsp;        ||[deviceModel isEqualToString:<span class="stringliteral">@&#34;iPad4,6&#34;</span>])      <span class="keywordflow">return</span> <span class="stringliteral">@&#34;iPad mini 2&#34;</span>;</div>
<div class="line"><a name="l00147"></a><span class="lineno">  147</span>&nbsp;    </div>
<div class="line"><a name="l00148"></a><span class="lineno">  148</span>&nbsp;    <span class="keywordflow">if</span> ([deviceModel isEqualToString:<span class="stringliteral">@&#34;iPad4,7&#34;</span>]</div>
<div class="line"><a name="l00149"></a><span class="lineno">  149</span>&nbsp;        ||[deviceModel isEqualToString:<span class="stringliteral">@&#34;iPad4,8&#34;</span>]</div>
<div class="line"><a name="l00150"></a><span class="lineno">  150</span>&nbsp;        ||[deviceModel isEqualToString:<span class="stringliteral">@&#34;iPad4,9&#34;</span>])      <span class="keywordflow">return</span> <span class="stringliteral">@&#34;iPad mini 3&#34;</span>;</div>
<div class="line"><a name="l00151"></a><span class="lineno">  151</span>&nbsp;    </div>
<div class="line"><a name="l00152"></a><span class="lineno">  152</span>&nbsp;    <span class="keywordflow">return</span> deviceModel;</div>
<div class="line"><a name="l00153"></a><span class="lineno">  153</span>&nbsp;}</div>
<div class="line"><a name="l00154"></a><span class="lineno">  154</span>&nbsp; </div>
<div class="line"><a name="l00155"></a><span class="lineno">  155</span>&nbsp;+ (NSString *)getCarrierName {</div>
<div class="line"><a name="l00156"></a><span class="lineno">  156</span>&nbsp;    CTTelephonyNetworkInfo *info = [[CTTelephonyNetworkInfo alloc] init];</div>
<div class="line"><a name="l00157"></a><span class="lineno">  157</span>&nbsp;    CTCarrier *carrier = info.subscriberCellularProvider;</div>
<div class="line"><a name="l00158"></a><span class="lineno">  158</span>&nbsp;    <span class="keywordflow">if</span> (!carrier.isoCountryCode) {</div>
<div class="line"><a name="l00159"></a><span class="lineno">  159</span>&nbsp;        <span class="comment">// 没有sim卡</span></div>
<div class="line"><a name="l00160"></a><span class="lineno">  160</span>&nbsp;        <span class="keywordflow">return</span> <span class="stringliteral">@&#34;&#34;</span>;</div>
<div class="line"><a name="l00161"></a><span class="lineno">  161</span>&nbsp;    } <span class="keywordflow">else</span> {</div>
<div class="line"><a name="l00162"></a><span class="lineno">  162</span>&nbsp;        <span class="keywordflow">return</span> carrier.carrierName;</div>
<div class="line"><a name="l00163"></a><span class="lineno">  163</span>&nbsp;    }</div>
<div class="line"><a name="l00164"></a><span class="lineno">  164</span>&nbsp;}</div>
<div class="line"><a name="l00165"></a><span class="lineno">  165</span>&nbsp; </div>
<div class="line"><a name="l00166"></a><span class="lineno">  166</span>&nbsp;+ (NSString *)getIMSI {</div>
<div class="line"><a name="l00167"></a><span class="lineno">  167</span>&nbsp;    CTTelephonyNetworkInfo *info = [[CTTelephonyNetworkInfo alloc] init];</div>
<div class="line"><a name="l00168"></a><span class="lineno">  168</span>&nbsp;    </div>
<div class="line"><a name="l00169"></a><span class="lineno">  169</span>&nbsp;    CTCarrier *carrier = [info subscriberCellularProvider];</div>
<div class="line"><a name="l00170"></a><span class="lineno">  170</span>&nbsp;    </div>
<div class="line"><a name="l00171"></a><span class="lineno">  171</span>&nbsp;    NSString *mcc = [carrier mobileCountryCode];</div>
<div class="line"><a name="l00172"></a><span class="lineno">  172</span>&nbsp;    NSString *mnc = [carrier mobileNetworkCode];</div>
<div class="line"><a name="l00173"></a><span class="lineno">  173</span>&nbsp;    <span class="keywordflow">if</span> (mcc == nil || mnc == nil) {</div>
<div class="line"><a name="l00174"></a><span class="lineno">  174</span>&nbsp;        <span class="keywordflow">return</span> <span class="stringliteral">@&#34;&#34;</span>;</div>
<div class="line"><a name="l00175"></a><span class="lineno">  175</span>&nbsp;    }</div>
<div class="line"><a name="l00176"></a><span class="lineno">  176</span>&nbsp;    </div>
<div class="line"><a name="l00177"></a><span class="lineno">  177</span>&nbsp;    NSString *imsi = [NSString stringWithFormat:@&#34;%@%@&#34;, mcc, mnc];</div>
<div class="line"><a name="l00178"></a><span class="lineno">  178</span>&nbsp;    </div>
<div class="line"><a name="l00179"></a><span class="lineno">  179</span>&nbsp;    <span class="keywordflow">return</span> imsi;</div>
<div class="line"><a name="l00180"></a><span class="lineno">  180</span>&nbsp;}</div>
<div class="line"><a name="l00181"></a><span class="lineno">  181</span>&nbsp; </div>
<div class="line"><a name="l00182"></a><span class="lineno">  182</span>&nbsp;+ (NSString *)getIphoneUUID {</div>
<div class="line"><a name="l00183"></a><span class="lineno">  183</span>&nbsp;    NSString *uuid = nil;</div>
<div class="line"><a name="l00184"></a><span class="lineno">  184</span>&nbsp;    uuid = [SAMKeychain passwordForService:kServiceKey account:kUUIDKey];</div>
<div class="line"><a name="l00185"></a><span class="lineno">  185</span>&nbsp;    <span class="keywordflow">if</span> (uuid == nil) {</div>
<div class="line"><a name="l00186"></a><span class="lineno">  186</span>&nbsp;        uuid = [UIDevice currentDevice].identifierForVendor.UUIDString;</div>
<div class="line"><a name="l00187"></a><span class="lineno">  187</span>&nbsp;        [SAMKeychain setPassword:uuid forService:kServiceKey account:kUUIDKey];</div>
<div class="line"><a name="l00188"></a><span class="lineno">  188</span>&nbsp;    }</div>
<div class="line"><a name="l00189"></a><span class="lineno">  189</span>&nbsp;    <span class="keywordflow">return</span> uuid;</div>
<div class="line"><a name="l00190"></a><span class="lineno">  190</span>&nbsp;}</div>
<div class="line"><a name="l00191"></a><span class="lineno">  191</span>&nbsp; </div>
<div class="line"><a name="l00193"></a><span class="lineno">  193</span>&nbsp;+ (BOOL)firstAppearAtThisVersionForKey:(NSString *)key</div>
<div class="line"><a name="l00194"></a><span class="lineno">  194</span>&nbsp;{</div>
<div class="line"><a name="l00195"></a><span class="lineno">  195</span>&nbsp;    NSUserDefaults *def = [NSUserDefaults standardUserDefaults];</div>
<div class="line"><a name="l00196"></a><span class="lineno">  196</span>&nbsp;    NSString *name = <span class="stringliteral">@&#34;$CheckKeyForThisVersion&#34;</span>;</div>
<div class="line"><a name="l00197"></a><span class="lineno">  197</span>&nbsp;    NSDictionary *dict = [def persistentDomainForName:name];</div>
<div class="line"><a name="l00198"></a><span class="lineno">  198</span>&nbsp;    NSString *version = dict[@&#34;$app_version&#34;];</div>
<div class="line"><a name="l00199"></a><span class="lineno">  199</span>&nbsp;    <span class="comment">//当前版本大于上次检测到的版本</span></div>
<div class="line"><a name="l00200"></a><span class="lineno">  200</span>&nbsp;    <span class="keywordflow">if</span> ([[<span class="keyword">self</span> getVersion] compare:version options:NSCaseInsensitiveSearch | NSNumericSearch] == NSOrderedDescending) {</div>
<div class="line"><a name="l00201"></a><span class="lineno">  201</span>&nbsp;        [<span class="keyword">self</span> _saveKey:key forDomain:dict withName:name];</div>
<div class="line"><a name="l00202"></a><span class="lineno">  202</span>&nbsp;        <span class="keywordflow">return</span> YES;</div>
<div class="line"><a name="l00203"></a><span class="lineno">  203</span>&nbsp;    }</div>
<div class="line"><a name="l00204"></a><span class="lineno">  204</span>&nbsp;    <span class="comment">//如果还不存在这个key</span></div>
<div class="line"><a name="l00205"></a><span class="lineno">  205</span>&nbsp;    <span class="keywordflow">if</span> (![dict objectForKey:key]) {</div>
<div class="line"><a name="l00206"></a><span class="lineno">  206</span>&nbsp;        [<span class="keyword">self</span> _saveKey:key forDomain:dict withName:name];</div>
<div class="line"><a name="l00207"></a><span class="lineno">  207</span>&nbsp;        <span class="keywordflow">return</span> YES;</div>
<div class="line"><a name="l00208"></a><span class="lineno">  208</span>&nbsp;    }</div>
<div class="line"><a name="l00209"></a><span class="lineno">  209</span>&nbsp;    <span class="keywordflow">return</span> NO;</div>
<div class="line"><a name="l00210"></a><span class="lineno">  210</span>&nbsp;}</div>
<div class="line"><a name="l00211"></a><span class="lineno">  211</span>&nbsp; </div>
<div class="line"><a name="l00212"></a><span class="lineno">  212</span>&nbsp;<span class="preprocessor">#pragma mark - Private</span></div>
<div class="line"><a name="l00213"></a><span class="lineno">  213</span>&nbsp;+ (void)_saveKey:(NSString *)key forDomain:(NSDictionary *)domain withName:(NSString *)name</div>
<div class="line"><a name="l00214"></a><span class="lineno">  214</span>&nbsp;{</div>
<div class="line"><a name="l00215"></a><span class="lineno">  215</span>&nbsp;    NSMutableDictionary *newDict = [NSMutableDictionary dictionaryWithDictionary:domain];</div>
<div class="line"><a name="l00216"></a><span class="lineno">  216</span>&nbsp;    [newDict safetySetObject:@YES forKey:key];</div>
<div class="line"><a name="l00217"></a><span class="lineno">  217</span>&nbsp;    [newDict safetySetObject:[<span class="keyword">self</span> getVersion] forKey:@&#34;$app_version&#34;];</div>
<div class="line"><a name="l00218"></a><span class="lineno">  218</span>&nbsp;    [[NSUserDefaults standardUserDefaults] setPersistentDomain:newDict forName:name];</div>
<div class="line"><a name="l00219"></a><span class="lineno">  219</span>&nbsp;    [[NSUserDefaults standardUserDefaults] synchronize];</div>
<div class="line"><a name="l00220"></a><span class="lineno">  220</span>&nbsp;}</div>
<div class="line"><a name="l00221"></a><span class="lineno">  221</span>&nbsp; </div>
<div class="line"><a name="l00222"></a><span class="lineno">  222</span>&nbsp;<span class="keyword">@end</span></div>
</div><!-- fragment --></div><!-- contents -->
<div class="ttc" id="ainterface_x_h_x_device_manager_html"><div class="ttname"><a href="interface_x_h_x_device_manager.html">XHXDeviceManager</a></div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_device_manager_8h_source.html#l00010">XHXDeviceManager.h:11</a></div></div>
<div class="ttc" id="a_x_h_x_device_manager_8h_html"><div class="ttname"><a href="_x_h_x_device_manager_8h.html">XHXDeviceManager.h</a></div></div>
<div class="ttc" id="ainterface_x_h_x_device_manager_html_a085a7739cdce0d342f7ee650c0152820"><div class="ttname"><a href="interface_x_h_x_device_manager.html#a085a7739cdce0d342f7ee650c0152820">+[XHXDeviceManager getIPAddress]</a></div><div class="ttdeci">NSString * getIPAddress()</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_device_manager_8m_source.html#l00001">XHXDeviceManager.m:50</a></div></div>
<div class="ttc" id="ainterface_x_h_x_device_manager_html_a6c80a82e571c1dc6730b6bd61747d337"><div class="ttname"><a href="interface_x_h_x_device_manager.html#a6c80a82e571c1dc6730b6bd61747d337">+[XHXDeviceManager documentDirectory]</a></div><div class="ttdeci">NSString * documentDirectory()</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_device_manager_8m_source.html#l00001">XHXDeviceManager.m:22</a></div></div>
<div class="ttc" id="ainterface_x_h_x_device_manager_html_a2e073959d4af599e4f30d9328c10f88f"><div class="ttname"><a href="interface_x_h_x_device_manager.html#a2e073959d4af599e4f30d9328c10f88f">+[XHXDeviceManager getIOSVersion]</a></div><div class="ttdeci">NSString * getIOSVersion()</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_device_manager_8m_source.html#l00001">XHXDeviceManager.m:45</a></div></div>
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
制作者&nbsp;<a href="http://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20
</small></address>


</body></html>